The T_FUNCTION error usually occurs when an unsupported version of PHP is installed on the server. You'll need PHP 5.3 or above in order to activate MemberMouse, and you'll have to talk to your hosting provider to see if they support that. This article contains more information about the issue and what to look for when resolving it: End of PHP 5.2 Support


Once you've figured this out with your host, then you should be able to follow the install steps (found here for your reference: Installing MemberMouse) and install, activate and be on your way to your new membership site.